Bug 887950 - packagedb-cli: silently fails to change ACLs
Summary: packagedb-cli: silently fails to change ACLs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: packagedb-cli
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 16:53 UTC by Stanislav Ochotnicky
Modified: 2013-02-20 04:04 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-19 22:13:42 UTC


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2012-12-17 16:53:55 UTC
Description of problem:
When I try to use packagedb-cli to change ACLs on my package for other contributors it will silently fail in certain cases (mostly when I want to use "all")

Version-Release number of selected component (if applicable):

$ pkgdb-cli acl javapackages-tools --pending
Fedora Package Database -- javapackages-tools
Fedora macros and scripts for Java packaging support
0 bugs open (new, assigned, needinfo)
devel   Owner:          sochotni
                        watchbugzilla   watchcommits    commit          approveacls
        Group:
        Comaintainer(s):
          mizdebsk      Approved        Approved        Approved        Awaiting Review
        Last build:     2012-12-10 by mizdebsk for javapackages-tools-0.9.1-1.fc19 in rawhide


$ pkgdb-cli update --approve javapackages-tools all mizdebsk all
FAS password: 

$ pkgdb-cli acl javapackages-tools --pending
Fedora Package Database -- javapackages-tools
Fedora macros and scripts for Java packaging support
0 bugs open (new, assigned, needinfo)
devel   Owner:          sochotni
                        watchbugzilla   watchcommits    commit          approveacls
        Group:
        Comaintainer(s):
          mizdebsk      Approved        Approved        Approved        Awaiting Review
        Last build:     2012-12-10 by mizdebsk for javapackages-tools-0.9.1-1.fc19 in rawhide

I tried to be more specific co I ran:
$ pkgdb-cli update --approve javapackages-tools approveacls mizdebsk all
FAS password: 
ServerError(https://admin.fedoraproject.org/pkgdb/acls/dispatcher/set_acl_status, 500, Internal Server Error)

When I made ran it a bit differently:
$ pkgdb-cli update --approve javapackages-tools all mizdebsk devel
FAS password: 
approveacls Approved for mizdebsk on package javapackages-tools branch devel

$ pkgdb-cli update --approve javapackages-tools approveacls mizdebsk devel
FAS password: 
approveacls Approved for mizdebsk on package javapackages-tools branch devel

Last two commands successfully changed the ACLs

Comment 1 Pierre-YvesChibon 2012-12-17 17:00:20 UTC
There is indeed something wrong in the detection of the different branches. I need to work on this.

Comment 2 Pierre-YvesChibon 2013-01-10 22:07:41 UTC
This has been fixed in git (packagedb-cli on fedorahosted), feel free to test there and report problem.

I will likely make a release soon.

Comment 3 Fedora Update System 2013-01-23 14:23:49 UTC
packagedb-cli-1.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/packagedb-cli-1.3.0-1.fc16

Comment 4 Fedora Update System 2013-01-23 14:24:02 UTC
packagedb-cli-1.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/packagedb-cli-1.3.0-1.fc17

Comment 5 Fedora Update System 2013-01-23 14:24:16 UTC
packagedb-cli-1.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/packagedb-cli-1.3.0-1.fc18

Comment 6 Fedora Update System 2013-01-23 14:24:29 UTC
packagedb-cli-1.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/packagedb-cli-1.3.0-1.el5

Comment 7 Fedora Update System 2013-01-23 14:24:51 UTC
packagedb-cli-1.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/packagedb-cli-1.3.0-1.el6

Comment 8 Fedora Update System 2013-01-23 22:01:46 UTC
Package packagedb-cli-1.3.0-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing packagedb-cli-1.3.0-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0179/packagedb-cli-1.3.0-1.el5
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-02-19 22:13:43 UTC
packagedb-cli-1.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-02-19 22:14:39 UTC
packagedb-cli-1.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-02-20 03:57:28 UTC
packagedb-cli-1.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-02-20 04:04:41 UTC
packagedb-cli-1.3.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.